> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Voice



## OpenAPI

````yaml /openapi/openapi.yaml post /v1/voices/import
openapi: 3.1.0
info:
  title: OneInbox API
  version: 1.0.0
servers:
  - url: https://api.oneinbox.ai
    description: Production server
security: []
tags:
  - name: health
  - name: integrations
  - name: llm-models
  - name: tools
  - name: knowledge-bases
  - name: voices
  - name: webhooks
  - name: agents
  - name: phone-numbers
  - name: calls
  - name: workspace
  - name: usage
  - name: audit-events
paths:
  /v1/voices/import:
    post:
      tags:
        - voices
      summary: Import Voice
      operationId: import_voice_v1_voices_import_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceImport'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    VoiceImport:
      properties:
        provider:
          type: string
          enum:
            - cartesia
            - deepgram
            - elevenlabs
            - openai
            - shisa
            - minimax
          title: Provider
        provider_voice_id:
          type: string
          maxLength: 255
          minLength: 1
          title: Provider Voice Id
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        credential_id:
          type: string
          format: uuid
          title: Credential Id
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        accent:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent
      type: object
      required:
        - provider
        - provider_voice_id
        - name
        - credential_id
      title: VoiceImport
    VoiceResponse:
      properties:
        id:
          type: string
          title: Id
        provider:
          type: string
          title: Provider
        provider_voice_id:
          type: string
          title: Provider Voice Id
        name:
          type: string
          title: Name
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        accent:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
        credential_id:
          type: string
          title: Credential Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - provider
        - provider_voice_id
        - name
        - gender
        - language
        - accent
        - preview_url
        - credential_id
        - created_at
      title: VoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: http
      description: >-
        Your **API key** sent as a Bearer credential — `Authorization: Bearer
        <api_key>`, where `<api_key>` starts with `oi_sk_` (create one via `POST
        /v1/api-keys`). Although the field is labelled 'token', paste your API
        key here. A dashboard JWT is also accepted on this header for the same
        endpoints.
      scheme: bearer

````